# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXStatistics

Function

Returns statistical information about a specified Object.

Syntax
`
#include <dx/dx.h>
`

Error DXStatistics(Object o, char *component, float *min, float *max,
float *avg, float *sigma)

Functional Details

Returns statistical information about all specified components (`component`) of Object `o`. If `min` is not `NULL`, this routine returns the minimum value in `*min`. If `max` is not `NULL`, the routine returns the maximum value in `*max`. If `avg` is not `NULL`, it routine returns the average value in `*avg`. If `sigma` is not `NULL`, it returns the standard deviation in `*sigma`. The "component statistics" component is added to Fields for which it does not already exist. If Object `o` is an Array, the routine ignores `component` and returns statistics for the Array.

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]